Subject: Re: [PATCH] bcma: don't fail for bad SPROM CRC

From: "Arend van Spriel" <[email-masked]>
Date: Mon, 6 Feb 2012 14:34:08 +0100

On 02/06/2012 02:26 PM, Henrik Rydberg wrote:
> The brcmsmac driver is now checking the bcma SPROM CRCs, leaving some
> chipsets unrecognized that were functional prior to the switch. In
> particular, the current code bails out on recent Macbooks. This patch
> simply ignores the outcome of the CRC check, with the argument that an
> unrecognized SPROM should be treated similarly to a non-existing one.

Suggestion:

The brcmsmac driver is now registered as a bcma device driver. Some
chipsets fail on SPROM CRC check in the bcma bus driver. This leaves the
chipset unrecognized and the bcma bus is not registered so that brcmsmac
is not probed. In particular, the current code .......

Gr. AvS